Categories: None [Edit]

logstash-mixin-deprecation_logger_support

https://rubygems.org/gems/logstash-mixin-deprecation_logger_support
https://github.com/logstash-plugins/logstash-mixin-deprecation_logger_support
This gem is meant to be a dependency of any Logstash plugin that wishes to use the Deprecation Logger introduced in 7.6 while maintaining backward-compatibility with earlier Logstashes. When used on older Logstash versions, it provides an implementation of the deprecation logger that forwards deprecation messages to the normal logger at WARN-level with a `DEPRECATED` prefix.

Total

Ranking: 6,657 of 172,249
Downloads: 320,830

Daily

Ranking: 3,107 of 172,242
Downloads: 393

Depended by

RankDownloadsName
25477,941,176logstash-filter-translate
2,0504,589,192logstash-input-heartbeat
2,8602,199,993logstash-integration-kafka
3,7851,140,931logstash-integration-elastic_enterprise_search

Depends on

RankDownloadsName
8615,161,431rspec
4,964619,313logstash-core

Owners

#GravatarHandle
1iconelastic